## 5.14.0-0-201912110715qtwebengine-everywhere-src-5.14.0.7z

=== Src/qtwebengine/src/3rdparty/chromium/third_party/ffmpeg/Makefile ===
MAIN_MAKEFILE=1
include ffbuild/config.mak

vpath %.c    $(SRC_PATH)
vpath %.cpp  $(SRC_PATH)
vpath %.h    $(SRC_PATH)
vpath %.inc  $(SRC_PATH)
vpath %.m    $(SRC_PATH)
vpath %.S    $(SRC_PATH)
vpath %.asm  $(SRC_PATH)
vpath %.rc   $(SRC_PATH)
vpath %.v    $(SRC_PATH)
vpath %.texi $(SRC_PATH)
vpath %.cu   $(SRC_PATH)
vpath %.ptx  $(SRC_PATH)
vpath %/fate_config.sh.template $(SRC_PATH)

TESTTOOLS   = audiogen videogen rotozoom tiny_psnr tiny_ssim base64 audiomatch
HOSTPROGS  := $(TESTTOOLS:%=tests/%) doc/print_options

# $(FFLIBS-yes) needs to be in linking order
FFLIBS-$(CONFIG_AVDEVICE)   += avdevice
FFLIBS-$(CONFIG_AVFILTER)   += avfilter
FFLIBS-$(CONFIG_AVFORMAT)   += avformat
FFLIBS-$(CONFIG_AVCODEC)    += avcodec
FFLIBS-$(CONFIG_AVRESAMPLE) += avresample
FFLIBS-$(CONFIG_POSTPROC)   += postproc
FFLIBS-$(CONFIG_SWRESAMPLE) += swresample
FFLIBS-$(CONFIG_SWSCALE)    += swscale

FFLIBS := avutil

DATA_FILES := $(wildcard $(SRC_PATH)/presets/*.ffpreset) $(SRC_PATH)/doc/ffprobe.xsd

SKIPHEADERS = compat/w32pthreads.h

# first so "all" becomes default target
all: all-yes

include $(SRC_PATH)/tools/Makefile
include $(SRC_PATH)/ffbuild/common.mak

FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)
FF_STATIC_DEP_LIBS := $(STATIC_DEP_LIBS)

$(TOOLS): %$(EXESUF): %.o
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(EXTRALIBS-$(*F)) $(EXTRALIBS) $(ELIBS)

target_dec_%_fuzzer$(EXESUF): target_dec_%_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/target_dem_fuzzer$(EXESUF): tools/target_dem_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/sofa2wavs$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/uncoded_frame$(EXESUF): $(FF_DEP_LIBS)
tools/uncoded_frame$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/target_dec_%_fuzzer$(EXESUF): $(FF_DEP_LIBS)

CONFIGURABLE_COMPONENTS =                                           \
    $(wildcard $(FFLIBS:%=$(SRC_PATH)/lib%/all*.c))                 \
    $(SRC_PATH)/libavcodec/bitstream_filters.c                      \
    $(SRC_PATH)/libavcodec/parsers.c                                \
    $(SRC_PATH)/libavformat/protocols.c                             \

config.h: ffbuild/.config
ffbuild/.config: $(CONFIGURABLE_COMPONENTS)
	@-tput bold 2>/dev/null
	@-printf '\nWARNING: $(?) newer than config.h, rerun configure\n\n'
	@-tput sgr0 2>/dev/null

SUBDIR_VARS := CLEANFILES FFLIBS HOSTPROGS TESTPROGS TOOLS               \
               HEADERS ARCH_HEADERS BUILT_HEADERS SKIPHEADERS            \
               ARMV5TE-OBJS ARMV6-OBJS ARMV8-OBJS VFP-OBJS NEON-OBJS     \
               ALTIVEC-OBJS VSX-OBJS MMX-OBJS X86ASM-OBJS                \
               MIPSFPU-OBJS MIPSDSPR2-OBJS MIPSDSP-OBJS MSA-OBJS         \
               MMI-OBJS OBJS SLIBOBJS HOSTOBJS TESTOBJS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(SRC_PATH)/$(1)/Makefile
-include $(SRC_PATH)/$(1)/$(ARCH)/Makefile
-include $(SRC_PATH)/$(1)/$(INTRINSICS)/Makefile
include $(SRC_PATH)/ffbuild/library.mak
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

include $(SRC_PATH)/fftools/Makefile
include $(SRC_PATH)/doc/Makefile
include $(SRC_PATH)/doc/examples/Makefile

libavcodec/utils.o libavformat/utils.o libavdevice/avdevice.o libavfilter/avfilter.o libavutil/utils.o libpostproc/postprocess.o libswresample/swresample.o libswscale/utils.o : libavutil/ffversion.h

$(PROGS): %$(PROGSSUF)$(EXESUF): %$(PROGSSUF)_g$(EXESUF)
ifeq ($(STRIPTYPE),direct)
	$(STRIP) -o $@ $<
else
	$(CP) $< $@
	$(STRIP) $@
endif

%$(PROGSSUF)_g$(EXESUF): $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(OBJS-$*) $(FF_EXTRALIBS)

VERSION_SH  = $(SRC_PATH)/ffbuild/version.sh
GIT_LOG     = $(SRC_PATH)/.git/logs/HEAD

.version: $(wildcard $(GIT_LOG)) $(VERSION_SH) ffbuild/config.mak
.version: M=@

libavutil/ffversion.h .version:
	$(M)$(VERSION_SH) $(SRC_PATH) libavutil/ffversion.h $(EXTRA_VERSION)
	$(Q)touch .version

# force version.sh to run whenever version might have changed
-include .version

install: install-libs install-headers

install-libs: install-libs-yes

install-data: $(DATA_FILES)
	$(Q)mkdir -p "$(DATADIR)"
	$(INSTALL) -m 644 $(DATA_FILES) "$(DATADIR)"

uninstall: uninstall-data uninstall-headers uninstall-libs uninstall-pkgconfig

uninstall-data:
	$(RM) -r "$(DATADIR)"

clean::
	$(RM) $(CLEANSUFFIXES)
	$(RM) $(addprefix compat/,$(CLEANSUFFIXES)) $(addprefix compat/*/,$(CLEANSUFFIXES)) $(addprefix compat/*/*/,$(CLEANSUFFIXES))
	$(RM) -r coverage-html
	$(RM) -rf coverage.info coverage.info.in lcov

distclean:: clean
	$(RM) .version avversion.h config.asm config.h mapfile  \
		ffbuild/.config ffbuild/config.* libavutil/avconfig.h \
		version.h libavutil/ffversion.h libavcodec/codec_names.h \
		libavcodec/bsf_list.c libavformat/protocol_list.c \
		libavcodec/codec_list.c libavcodec/parser_list.c \
		libavformat/muxer_list.c libavformat/demuxer_list.c
ifeq ($(SRC_LINK),src)
	$(RM) src
endif
	$(RM) -rf doc/examples/pc-uninstalled

config:
	$(SRC_PATH)/configure $(value FFMPEG_CONFIGURATION)

build: all alltools examples testprogs
check: all alltools examples testprogs fate

include $(SRC_PATH)/tests/Makefile

$(sort $(OUTDIRS)):
	$(Q)mkdir -p $@

# Dummy rule to stop make trying to rebuild removed or renamed headers
%.h:
	@:

# Disable suffix rules.  Most of the builtin rules are suffix rules,
# so this saves some time on slow systems.
.SUFFIXES:

.PHONY: all all-yes alltools build check config testprogs
.PHONY: *clean install* uninstall*

=== Src/qtwebengine/src/3rdparty/chromium/third_party/gestures/gestures/Makefile ===
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

OBJDIR = obj
SRC=$(shell readlink -f .)

# Objects for libgestures
SO_OBJECTS=\
	$(OBJDIR)/accel_filter_interpreter.o \
	$(OBJDIR)/activity_log.o \
	$(OBJDIR)/box_filter_interpreter.o \
	$(OBJDIR)/click_wiggle_filter_interpreter.o \
	$(OBJDIR)/file_util.o \
	$(OBJDIR)/filter_interpreter.o \
	$(OBJDIR)/finger_merge_filter_interpreter.o \
	$(OBJDIR)/finger_metrics.o \
	$(OBJDIR)/fling_stop_filter_interpreter.o \
	$(OBJDIR)/gestures.o \
	$(OBJDIR)/iir_filter_interpreter.o \
	$(OBJDIR)/immediate_interpreter.o \
	$(OBJDIR)/integral_gesture_filter_interpreter.o \
	$(OBJDIR)/interpreter.o \
	$(OBJDIR)/logging_filter_interpreter.o \
	$(OBJDIR)/lookahead_filter_interpreter.o \
	$(OBJDIR)/metrics_filter_interpreter.o \
	$(OBJDIR)/mouse_interpreter.o \
	$(OBJDIR)/multitouch_mouse_interpreter.o \
	$(OBJDIR)/non_linearity_filter_interpreter.o \
	$(OBJDIR)/palm_classifying_filter_interpreter.o \
	$(OBJDIR)/prop_registry.o \
	$(OBJDIR)/scaling_filter_interpreter.o \
	$(OBJDIR)/cr48_profile_sensor_filter_interpreter.o \
	$(OBJDIR)/sensor_jump_filter_interpreter.o \
	$(OBJDIR)/split_correcting_filter_interpreter.o \
	$(OBJDIR)/stationary_wiggle_filter_interpreter.o \
	$(OBJDIR)/string_util.o \
	$(OBJDIR)/stuck_button_inhibitor_filter_interpreter.o \
	$(OBJDIR)/t5r2_correcting_filter_interpreter.o \
	$(OBJDIR)/trace_marker.o \
	$(OBJDIR)/tracer.o \
	$(OBJDIR)/trend_classifying_filter_interpreter.o \
	$(OBJDIR)/util.o

# Objects for unittests
TEST_OBJECTS=\
	$(OBJDIR)/accel_filter_interpreter_unittest.o \
	$(OBJDIR)/activity_log_unittest.o \
	$(OBJDIR)/activity_replay_unittest.o \
	$(OBJDIR)/box_filter_interpreter_unittest.o \
	$(OBJDIR)/click_wiggle_filter_interpreter_unittest.o \
	$(OBJDIR)/command_line.o \
	$(OBJDIR)/fling_stop_filter_interpreter_unittest.o \
	$(OBJDIR)/gestures_unittest.o \
	$(OBJDIR)/iir_filter_interpreter_unittest.o \
	$(OBJDIR)/immediate_interpreter_unittest.o \
	$(OBJDIR)/integral_gesture_filter_interpreter_unittest.o \
	$(OBJDIR)/interpreter_unittest.o \
	$(OBJDIR)/list_unittest.o \
	$(OBJDIR)/logging_filter_interpreter_unittest.o \
	$(OBJDIR)/lookahead_filter_interpreter_unittest.o \
	$(OBJDIR)/non_linearity_filter_interpreter_unittest.o \
	$(OBJDIR)/map_unittest.o \
	$(OBJDIR)/mouse_interpreter_unittest.o \
	$(OBJDIR)/multitouch_mouse_interpreter_unittest.o \
	$(OBJDIR)/palm_classifying_filter_interpreter_unittest.o \
	$(OBJDIR)/prop_registry_unittest.o \
	$(OBJDIR)/scaling_filter_interpreter_unittest.o \
	$(OBJDIR)/cr48_profile_sensor_filter_interpreter_unittest.o \
	$(OBJDIR)/sensor_jump_filter_interpreter_unittest.o \
	$(OBJDIR)/set_unittest.o \
	$(OBJDIR)/split_correcting_filter_interpreter_unittest.o \
	$(OBJDIR)/stuck_button_inhibitor_filter_interpreter_unittest.o \
	$(OBJDIR)/t5r2_correcting_filter_interpreter_unittest.o \
	$(OBJDIR)/trace_marker_unittest.o \
	$(OBJDIR)/tracer_unittest.o \
	$(OBJDIR)/unittest_util.o \
	$(OBJDIR)/util_unittest.o \
	$(OBJDIR)/vector_unittest.o

# Objects that are neither unittests nor SO objects
MISC_OBJECTS=\
	$(OBJDIR)/activity_replay.o \

TEST_MAIN=\
	$(OBJDIR)/test_main.o

TEST_EXE=test
SONAME=$(OBJDIR)/libgestures.so.0

ALL_OBJECTS=\
	$(TEST_OBJECTS) \
	$(TEST_MAIN) \
	$(SO_OBJECTS) \
	$(MISC_OBJECTS)

ALL_OBJECT_FILES=\
	$(SO_OBJECTS) \
	$(MISC_OBJECTS) \
	$(TEST_OBJECTS) \
	$(TEST_MAIN)

DEPDIR = .deps

DESTDIR = .

CXXFLAGS+=\
	-g \
	-std=gnu++11 \
	-fno-exceptions \
	-fno-strict-aliasing \
	-fPIC \
	-Wall \
	-Wclobbered \
	-Wempty-body \
	-Werror \
	-Wignored-qualifiers \
	-Wmissing-field-initializers \
	-Wmissing-format-attribute \
	-Wmissing-noreturn \
	-Wsign-compare \
	-Wtype-limits \
	-D__STDC_FORMAT_MACROS=1 \
	-D_FILE_OFFSET_BITS=64 \
	-DGESTURES_INTERNAL=1 \
	-I..

LID_TOUCHPAD_HELPER=lid_touchpad_helper

# Local compilation needs these flags, esp for code coverage testing
ifeq (g++,$(CXX))
CXXFLAGS+=\
	-O1 \
	-DVCSID="\"1234 TESTVERSION\"" \
	--coverage \
	-ftest-coverage \
	-fprofile-arcs
LINK_FLAGS+=-lgcov
else
CXXFLAGS+=\
	-DXLOGGING
endif

PKG_CONFIG ?= pkg-config
PC_CFLAGS := $(shell $(PKG_CONFIG) --cflags $(PC_DEPS))
PC_LIBS := $(shell $(PKG_CONFIG) --libs $(PC_DEPS))

CXXFLAGS += $(PC_CFLAGS) -I$(SYSROOT)/usr/include/jsoncpp
LINK_FLAGS += $(PC_LIBS) -ljsoncpp

LINK_FLAGS+=\
	-lpthread \
	-lrt

TEST_LINK_FLAGS=\
	-lgcov \
	-lglib-2.0 \
	-lgtest

all: $(SONAME)

ifneq ($(USE_X11),0)
all: lid_touchpad_helper_all
install: lid_touchpad_helper_install
endif

lid_touchpad_helper_all:
	$(MAKE) -C $(LID_TOUCHPAD_HELPER)

$(SONAME): $(SO_OBJECTS)
	$(CXX) -shared -o $@ $(SO_OBJECTS) -Wl,-h$(SONAME:$(OBJDIR)/%=%) \
		$(LINK_FLAGS)

$(TEST_EXE): $(ALL_OBJECTS)
	$(CXX) -o $@ $(CXXFLAGS) $(ALL_OBJECTS) $(LINK_FLAGS) $(TEST_LINK_FLAGS)

$(OBJDIR)/%.o : src/%.cc
	mkdir -p $(OBJDIR) $(DEPDIR) || true
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -MMD -c -o $@ $<
	@mv $(@:$.o=$.d) $(DEPDIR)

LIBDIR = /usr/lib

lid_touchpad_helper_install:
	$(MAKE) -C $(LID_TOUCHPAD_HELPER) install

install: $(SONAME)
	install -D -m 0755 $(SONAME) \
		$(DESTDIR)$(LIBDIR)/$(SONAME:$(OBJDIR)/%=%)
	ln -s $(SONAME:$(OBJDIR)/%=%) \
		$(DESTDIR)$(LIBDIR)/$(SONAME:$(OBJDIR)/%.0=%)
	install -D -m 0644 libgestures.pc \
		$(DESTDIR)$(LIBDIR)/pkgconfig/libgestures.pc
	install -D -m 0644 \
		include/gestures.h $(DESTDIR)/usr/include/gestures/gestures.h

clean:
	$(MAKE) -C $(LID_TOUCHPAD_HELPER) clean
	rm -rf $(OBJDIR) $(DEPDIR) $(TEST_EXE) html app.info app.info.orig

setup-in-place:
	sudo emerge -v1 dev-libs/jsoncpp
	mkdir -p $(SRC)/in-place/gestures || true
	ln -sf $(SRC)/include/gestures.h $(SRC)/in-place/gestures/gestures.h
	ln -sf $(SRC)/$(SONAME) $(SRC)/in-place/$(SONAME:$(OBJDIR)/%.0=%)
	ln -sf $(SRC)/$(SONAME) $(SRC)/in-place/$(SONAME:$(OBJDIR)/%=%)

in-place: CXXFLAGS+=-DGESTURES_LARGE_LOGGING_BUFFER
in-place: $(SONAME)

clean-in-place: clean

# Unittest coverage

LCOV_EXE=/usr/bin/lcov

$(LCOV_EXE):
	sudo emerge -DNuv1 dev-util/lcov

cov: $(TEST_EXE) $(LCOV_EXE)
	lcov -d . --zerocounters
	./$(TEST_EXE)
	lcov --directory . --capture --output-file $(OBJDIR)/app.info
	sed -i.orig 's|/obj/src/|/src/|g' $(OBJDIR)/app.info
	sed -i.orig 's|/gestures/gestures/|/gestures/|g' $(OBJDIR)/app.info
	genhtml --no-function-coverage -o html $(OBJDIR)/app.info || \
		genhtml -o html $(OBJDIR)/app.info
	./tools/local_coverage_rate.sh $(OBJDIR)/app.info

.PHONY : clean cov all lid_touchpad_helper_all lid_touchpad_helper_install

-include $(ALL_OBJECT_FILES:$(OBJDIR)/%.o=$(DEPDIR)/%.d)

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/docs/Makefile ===
# Copyright (C) 2018 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

test: static
	docsify serve

static:
	rm -f static
	ln -s ../infra/perfetto-site.appspot.com/static static
	make -C ../infra/perfetto-site.appspot.com/ static

.PHONY: test static

=== Src/qtwebengine/src/3rdparty/chromium/third_party/gestures/gestures/lid_touchpad_helper/Makefile ===
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

OBJDIR = obj

OBJECTS=\
	$(OBJDIR)/lid_touchpad_helper_main.o

DESTDIR = .

CXXFLAGS+=\
	-g \
	-std=gnu++11 \
	-fno-exceptions \
	-fno-strict-aliasing \
	-fPIC \
	-Wall \
	-Wclobbered \
	-Wempty-body \
	-Werror \
	-Wignored-qualifiers \
	-Wmissing-field-initializers \
	-Wsign-compare \
	-Wtype-limits \
	-Wuninitialized \
	-D__STDC_FORMAT_MACROS=1 \
	-D_FILE_OFFSET_BITS=64 \
	-DGESTURES_INTERNAL=1 \
	-I..

PKG_CONFIG ?= pkg-config
BASE_VER ?= 125070
PC_DEPS = libchrome-$(BASE_VER)
PC_CFLAGS := $(shell $(PKG_CONFIG) --cflags $(PC_DEPS))
PC_LIBS := $(shell $(PKG_CONFIG) --libs $(PC_DEPS))

CXXFLAGS += $(PC_CFLAGS)

LINK_FLAGS=\
	$(PC_LIBS) \
	-lpthread \
	-lrt \
	-ludev \
	-lX11 \
	-lXi

CONF=lid_touchpad_helper.conf

EXE=lid_touchpad_helper

all: $(EXE)

$(EXE): $(OBJECTS)
	$(CXX) -o $@ $(CXXFLAGS) $(OBJECTS) $(LINK_FLAGS)

$(OBJDIR)/%.o : %.cc
	mkdir -p $(OBJDIR) || true
	$(CXX) $(CXXFLAGS) -c -o $@ $<

$(OBJDIR)/%.o : %.c
	mkdir -p $(OBJDIR) || true
	$(CC) $(CFLAGS) -c -o $@ $<

install: $(EXE) $(CONF)
	install -D -m 0755 $(EXE) $(DESTDIR)/usr/sbin/$(EXE)
	install -D -m 0644 $(CONF) $(DESTDIR)/etc/init/$(CONF)

clean:
	rm -rf $(OBJDIR) $(EXE)

.PHONY : clean all

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/infra/ci/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include $(shell python config.py makefile)

COMMON_DEPS := Makefile *.py
GCE_LOCAL_STARTUP_SCRIPT := worker/gce-startup-script.sh
SCRIPT_HASH := $(shell git hash-object ${GCE_LOCAL_STARTUP_SCRIPT} | cut -c 1-8)
GCE_STARTUP_SCRIPT := gs://perfetto/ci/worker-startup-script/${SCRIPT_HASH}


help:
	@echo "build:              Builds the worker and sandbox Docker containers"
	@echo "push:               Pushes the containers to the registry"
	@echo "deploy-controller:  Deploys and restarts the controller"
	@echo "deploy-frontend:    Deploys and restarts the controller"
	@echo "stop-workers:       Stops the whole workers GCE instace group"
	@echo "start-workers:      Starts the whole workers GCE instace group"
	@echo "restart-workers:    Restarts the whole workers GCE instace group"


build: .deps/build-worker .deps/build-sandbox

push: build
	docker push ${WORKER_IMG}
	docker push ${SANDBOX_IMG}

clean:
	rm -rf .deps

.deps/build-worker: worker/* ${COMMON_DEPS}
	mkdir -p worker/tmp
	cp -a config.py common_utils.py worker/tmp/
	docker build --rm --force-rm -t ${WORKER_IMG} worker
	rm -rf worker/tmp/
	touch $@

.deps/build-sandbox: sandbox/* ${COMMON_DEPS}
	docker build --rm --force-rm -t ${SANDBOX_IMG} sandbox
	touch $@

.deps/upload-startup-script: ${GCE_LOCAL_STARTUP_SCRIPT} ${COMMON_DEPS}
	gsutil -q cp -a public-read ${GCE_LOCAL_STARTUP_SCRIPT} ${GCE_STARTUP_SCRIPT}
	touch $@

.deps/gce-template: ${COMMON_DEPS} .deps/upload-startup-script
	gcloud compute --quiet --project=$(PROJECT) \
		instance-templates delete --quiet ${GCE_TEMPLATE} || true
	gcloud compute --quiet --project=$(PROJECT) \
		instance-templates create ${GCE_TEMPLATE} \
		--machine-type=${GCE_VM_TYPE} \
		--network=projects/perfetto-ci/global/networks/default \
		--network-tier=PREMIUM \
		--metadata='startup-script-url=${GCE_STARTUP_SCRIPT},num-workers=${NUM_WORKERS_PER_VM},google-logging-enabled=true' \
		--maintenance-policy=MIGRATE \
		--service-account=gce-ci-worker@perfetto-ci.iam.gserviceaccount.com \
		--scopes=${GCE_SCOPES} \
		--image=cos-stable-75-12105-77-0 \
		--image-project=cos-cloud \
		--boot-disk-size=200GB \
		--boot-disk-type=pd-ssd \
		--boot-disk-device-name=ci-worker-template
	touch $@

deploy-controller:
	make -C controller deploy

deploy-frontend:
	make -C frontend deploy

stop-workers:
	gcloud compute --quiet --project=$(PROJECT) \
		instance-groups managed delete ${GCE_GROUP_NAME} --zone=${ZONE} || true

start-workers: .deps/gce-template
	gcloud beta compute --project=$(PROJECT) \
		instance-groups managed create ${GCE_GROUP_NAME} \
		--zone=${ZONE} \
		--base-instance-name=ci-worker-group \
		--template=ci-worker-template \
		--size=1
	gcloud beta compute --quiet --project=$(PROJECT) \
		instance-groups managed set-autoscaling ${GCE_GROUP_NAME} \
		--zone ${ZONE} \
		--min-num-replicas "1" \
		--max-num-replicas "3" \
		--cool-down-period "1800" \
		--stackdriver-metric-filter "resource.type = \"global\"" \
		--update-stackdriver-metric "custom.googleapis.com/perfetto-ci/ci_job_queue_len" \
		--stackdriver-metric-single-instance-assignment "10"

restart-workers: stop-workers start-workers

# These are for testing only, start an individual VM. Use start-group for
# production.

stop-worker-for-testing:
	gcloud compute --quiet \
		--project $(PROJECT) \
		instances delete $(GCE_VM_NAME) \
		--zone $(ZONE)

start-worker-for-testing: .deps/gce-template
	gcloud compute --quiet \
		--project $(PROJECT) \
		instances create $(GCE_VM_NAME) \
		--zone $(ZONE) \
		--source-instance-template=${GCE_TEMPLATE}

# Debugging client to make OAuth2 authenticated requests manually.
cli:
	GOOGLE_APPLICATION_CREDENTIALS=test-credentials.json \
	python -i -c 'from common_utils import *; from config import *; \
		SCOPES += ["https://www.googleapis.com/auth/firebase.database", \
								"https://www.googleapis.com/auth/userinfo.email", \
								"https://www.googleapis.com/auth/datastore"]'


.PHONY: build push stop-workers start-workers deploy-controller deploy-frontend

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/infra/perfetto-ci.appspot.com/Makefile ===
# Copyright (C) 2017 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# This is deprecated and will be removed soon.
deploy:
	gcloud app deploy app.yaml \
		--project perfetto-ci --no-promote --stop-previous-version \
		-v travis

test:
	dev_appserver.py .

.PHONY: deploy test

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/infra/perfetto-site.appspot.com/Makefile ===
# Copyright (C) 2018 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

test: static
	dev_appserver.py .

static: node_modules/.stamp
	rm -rf static
	mkdir -p static
	cp node_modules/docsify/lib/docsify.min.js static/
	cp node_modules/docsify-themeable/dist/js/docsify-themeable.min.js static/
	cp node_modules/docsify-themeable/dist/css/theme-simple.css static/
	cp node_modules/docsify-copy-code/dist/docsify-copy-code.min.js static/
	cp node_modules/prismjs/components/prism-bash.min.js static/
	cp node_modules/prismjs/components/prism-protobuf.min.js static/
	cp node_modules/prismjs/components/prism-sql.min.js static/

deploy: static
	gcloud app deploy app.yaml --project perfetto-site

node_modules/.stamp: package.json
	npm install --quiet
	touch "$@"

.PHONY: deploy test static

=== Src/qtwebengine/src/3rdparty/chromium/third_party/skia/experimental/wasm-skp-debugger/Makefile ===
release:
	# Does an incremental build where possible.
	./compile.sh
	mkdir -p ./debugger/bin
	cp ../../out/debugger_wasm/debugger.js   ./debugger/bin
	cp ../../out/debugger_wasm/debugger.wasm ./debugger/bin

debug:
	# Does an incremental build where possible.
	./compile.sh debug
	mkdir -p ./debugger/bin
	cp ../../out/debugger_wasm_debug/debugger.js   ./debugger/bin
	cp ../../out/debugger_wasm_debug/debugger.wasm ./debugger/bin

move-assets:
	# assume the developer also has a checkout of buildbot here and wants to test the newly
	# built wasm debugger with the interface.
	cp ./debugger/bin/debugger.js   ~/go/src/go.skia.org/infra/debugger-assets/res/js
	cp ./debugger/bin/debugger.wasm ~/go/src/go.skia.org/infra/debugger-assets/res

# A barebones local example of the wasm module included in a page.
# for the real interface see
# https://github.com/google/skia-buildbot/blob/master/debugger-assets/res/imp/wasm-app.html
local-example:
	rm -rf node_modules/debugger
	mkdir -p node_modules
	ln -s -T ../debugger node_modules/debugger
	echo "Go check out http://localhost:8000/debugger/index.html"
	python serve.py

test-continuous:
	echo "Assuming npm install has been run by user"
	echo "Also assuming make debug or release has also been run by a user (if needed)"
	npx karma start ./karma.conf.js --no-single-run --watch-poll

=== Src/qtwebengine/src/3rdparty/chromium/third_party/skia/modules/pathkit/Makefile ===
build:
	./compile.sh

npm: npm-test npm-debug
	mkdir -p ./npm-wasm/bin
	mkdir -p ./npm-asmjs/bin
	./compile.sh
	cp ../../out/pathkit/pathkit.js   ./npm-wasm/bin
	cp ../../out/pathkit/pathkit.wasm ./npm-wasm/bin
	./compile.sh asm.js
	cp ../../out/pathkit/pathkit.js     ./npm-asmjs/bin/pathkit.js
	cp ../../out/pathkit/pathkit.js.mem ./npm-asmjs/bin/pathkit.js.mem

publish:
	cd npm-wasm; npm publish
	cd npm-asmjs; npm publish

update-major:
	cd npm-wasm; npm version major
	cd ../npm-asmjs; npm version major
	echo "Don't forget to publish."

update-minor:
	cd npm-wasm; npm version minor
	cd npm-asmjs; npm version minor
	echo "Don't forget to publish."

update-patch:
	cd npm-wasm; npm version patch
	cd npm-asmjs; npm version patch
	echo "Don't forget to publish."

# Build the library and run the tests. If developing locally, test-continuous is better
# suited for that, although if you make changes to the C++/WASM code, you will need
# to manually call make npm-test to re-build.
test: npm-test
	npm install
	npx karma start ./karma.conf.js --single-run
	ASM_JS=1 npx karma start ./karma.conf.js --single-run

test-continuous:
	echo "Assuming npm install has been run by user"
	echo "Also assuming make npm-test has also been run by a user (if needed)"
	npx karma start ./karma.conf.js --no-single-run --watch-poll

test-continuous-asmjs:
	echo "Assuming npm install has been run by user"
	echo "Also assuming make npm-test has also been run by a user (if needed)"
	ASM_JS=1 npx karma start ./karma.conf.js --no-single-run --watch-poll

# Build the library and run the tests using the docker image.  If developing locally,
# test-docker-continuous is better, although if you make changes to the C++/WASM code,
# you will need to manually call make npm-test to re-build.
test-docker:
	mkdir -p ./npm-wasm/bin/test
	mkdir -p ./npm-asmjs/bin/test
	mkdir -p $$SKIA_ROOT/out/dockerbuild

	docker run --rm -v $$SKIA_ROOT:/SRC -v $$SKIA_ROOT/out/dockerbuild:/OUT \
gcr.io/skia-public/emsdk-release:prod /SRC/infra/pathkit/build_pathkit.sh
	cp ../../out/dockerbuild/pathkit.js   ./npm-wasm/bin/test/pathkit.js
	cp ../../out/dockerbuild/pathkit.wasm ./npm-wasm/bin/test/pathkit.wasm

	docker run --rm -v $$SKIA_ROOT:/SRC -v $$SKIA_ROOT/out/dockerbuild:/OUT \
gcr.io/skia-public/emsdk-release:prod /SRC/infra/pathkit/build_pathkit.sh asm.js
	cp ../../out/dockerbuild/pathkit.js     ./npm-asmjs/bin/test/pathkit.js
	cp ../../out/dockerbuild/pathkit.js.mem ./npm-asmjs/bin/test/pathkit.js.mem

	docker run --shm-size=2gb -v $$SKIA_ROOT:/SRC gcr.io/skia-public/karma-chrome-tests:72.0.3626.121_v1 \
karma start /SRC/modules/pathkit/karma.conf.js --single-run
	docker run --shm-size=2gb -v $$SKIA_ROOT:/SRC -e ASM_JS=1 gcr.io/skia-public/karma-chrome-tests:72.0.3626.121_v1 \
karma start /SRC/modules/pathkit/karma.conf.js --single-run

test-docker-continuous:
	echo "Assuming make npm-test has also been run by a user (if needed)"
	docker run --shm-size=2gb -v $$SKIA_ROOT:/SRC gcr.io/skia-public/karma-chrome-tests:72.0.3626.121_v1 \
karma start /SRC/modules/pathkit/karma.conf.js --no-single-run

test-docker-continuous-asmjs:
	echo "Assuming make npm-test has also been run by a user (if needed)"
	docker run --shm-size=2gb -v $$SKIA_ROOT:/SRC -e ASM_JS=1 gcr.io/skia-public/karma-chrome-tests:72.0.3626.121_v1 \
karma start /SRC/modules/pathkit/karma.conf.js --no-single-run

npm-test:
	# This compile time is typically faster than release and good for use with
	# local-example-test
	mkdir -p ./npm-wasm/bin/test
	mkdir -p ./npm-asmjs/bin/test
	./compile.sh test
	cp ../../out/pathkit/pathkit.js   ./npm-wasm/bin/test/pathkit.js
	cp ../../out/pathkit/pathkit.wasm ./npm-wasm/bin/test/pathkit.wasm
	./compile.sh asm.js test
	cp ../../out/pathkit/pathkit.js     ./npm-asmjs/bin/test/pathkit.js
	cp ../../out/pathkit/pathkit.js.mem ./npm-asmjs/bin/test/pathkit.js.mem

npm-debug:
	# This compile time is typically faster than release and good for use with
	# local-example-test
	mkdir -p ./npm-wasm/bin/debug
	mkdir -p ./npm-asmjs/bin/debug
	./compile.sh debug
	cp ../../out/pathkit/pathkit.js     ./npm-wasm/bin/debug/pathkit.js
	cp ../../out/pathkit/pathkit.wasm   ./npm-wasm/bin/debug/pathkit.wasm
	cp ../../out/pathkit/pathkit.wasm.map ./npm-wasm/bin/debug/pathkit.wasm.map
	./compile.sh asm.js debug
	cp ../../out/pathkit/pathkit.js     ./npm-asmjs/bin/debug/pathkit.js
	cp ../../out/pathkit/pathkit.js.map ./npm-asmjs/bin/debug/pathkit.js.map

example:
	npm install pathkit-asmjs pathkit-wasm
	echo "Go check out localhost:8000/npm-wasm/example.html"
	python serve.py

local-example:
	rm -rf node_modules/pathkit-wasm
	rm -rf node_modules/pathkit-asmjs
	mkdir -p node_modules
	ln -s -T ../npm-wasm  node_modules/pathkit-wasm
	ln -s -T ../npm-asmjs node_modules/pathkit-asmjs
	echo "Go check out http://localhost:8000/npm-wasm/example.html"
	echo "or http://localhost:8000/npm-asmjs/example.html"
	python serve.py

local-example-test:
	rm -rf node_modules/pathkit-wasm
	rm -rf node_modules/pathkit-asmjs
	mkdir -p node_modules/pathkit-wasm
	mkdir -p node_modules/pathkit-asmjs
	ln -s -T ../../npm-wasm/bin/test node_modules/pathkit-wasm/bin
	ln -s -T ../../npm-asmjs/bin/test node_modules/pathkit-asmjs/bin
	echo "Go check out localhost:8000/npm-wasm/example.html"
	echo "or http://localhost:8000/npm-asmjs/example.html"
	python serve.py

local-example-debug:
	rm -rf node_modules/pathkit-wasm
	rm -rf node_modules/pathkit-asmjs
	mkdir -p node_modules/pathkit-wasm
	mkdir -p node_modules/pathkit-asmjs
	ln -s -T ../../npm-wasm/bin/debug node_modules/pathkit-wasm/bin
	ln -s -T ../../npm-asmjs/bin/debug node_modules/pathkit-asmjs/bin
	echo "Go check out localhost:8000/npm-wasm/example.html"
	echo "or http://localhost:8000/npm-asmjs/example.html"
	python serve.py

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/infra/ci/controller/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


include $(shell python ../config.py makefile)

test: lib/.stamp config.py common_utils.py
	GOOGLE_APPLICATION_CREDENTIALS=../test-credentials.json \
		dev_appserver.py app.yaml --dev_appserver_log_level ${LOGLEVEL}

deploy: lib/.stamp config.py common_utils.py
	gcloud app deploy -q app.yaml queue.yaml cron.yaml \
		--project ${PROJECT} \
		-v ${GAE_VERSION} \
		--stop-previous-version

stop:
		gcloud app instances delete \
		$(shell gcloud app instances list --project ${PROJECT} -v ${GAE_VERSION} -s default | tail -n1 | awk '{print $$3}') \
		--project ${PROJECT} -v ${GAE_VERSION} -s default -q

lib/.stamp:
	pip install -t lib/ oauth2client httplib2
	touch $@

config.py: ../config.py
	cp ../$@ $@

common_utils.py: ../common_utils.py
	cp ../$@ $@

.PHONY: deploy test

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/infra/ci/frontend/Makefile ===
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


include $(shell python ../config.py makefile)

SHASUM=shasum

test: LOGLEVEL=info
test: static_3p config.py common_utils.py static/config.js
	dev_appserver.py app.yaml --dev_appserver_log_level ${LOGLEVEL}

deploy: static_3p config.py common_utils.py static/config.js
	gcloud app deploy -q app.yaml \
		--project ${PROJECT} \
		-v ${GAE_VERSION} \
		--stop-previous-version

config.py: ../config.py
	cp ../$@ $@

common_utils.py: ../common_utils.py
	cp ../$@ $@

static/config.js: ../config.py
	../config.py js > $@

static/third_party/xterm-3.14.4.min.css:
	curl -so $@ https://cdnjs.cloudflare.com/ajax/libs/xterm/3.14.4/xterm.min.css
	echo "ad80f73df001c943cfcd98d706dba050704f715d  $@" | ${SHASUM} -c || rm $@

static/third_party/xterm-3.14.4.min.js:
	curl -so $@ https://cdnjs.cloudflare.com/ajax/libs/xterm/3.14.4/xterm.min.js
	echo "9a92b3fbb118fd2a672f7eb4e69598384ca91756  $@" | ${SHASUM} -c || rm $@

static/third_party/xterm-3.14.4-addon-search.min.js:
	curl -so $@ https://cdnjs.cloudflare.com/ajax/libs/xterm/3.14.4/addons/search/search.min.js
	echo "73f55082d00c98b372cac1264ba9da70cdf603d0  $@" | ${SHASUM} -c || rm $@

static/third_party/xterm-3.14.4-addon-fit.min.js:
	curl -so $@ https://cdnjs.cloudflare.com/ajax/libs/xterm/3.14.4/addons/fit/fit.min.js
	echo "64835b1b71e8ca2d5bbb1a8e3c7f8a8f1edb2e5c  $@" | ${SHASUM} -c || rm $@

static/third_party/mithril-1.1.6.min.js:
	curl -so $@ https://cdnjs.cloudflare.com/ajax/libs/mithril/1.1.6/mithril.min.js
	echo "a204c02ee15c347cf368c3481bdea967b443c8d0  $@" | ${SHASUM} -c || rm $@

static_3p: static/third_party/xterm-3.14.4.min.css static/third_party/xterm-3.14.4.min.js static/third_party/xterm-3.14.4-addon-search.min.js static/third_party/xterm-3.14.4-addon-fit.min.js static/third_party/mithril-1.1.6.min.js

.PHONY: test deploy static_3p

=== Src/qtwebengine/src/3rdparty/chromium/third_party/perfetto/debian/control ===
Source: perfetto
Section: unknown
Priority: optional
Maintainer: Sami Kyostila <skyostil@google.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://android.googlesource.com/platform/external/perfetto/
Vcs-Git: https://android.googlesource.com/platform/external/perfetto/
Vcs-Browser: https://android.googlesource.com/platform/external/perfetto/

Package: perfetto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Performance instrumentation and logging for POSIX platforms
 Perfetto is a performance instrumentation and logging framework for POSIX
 systems.
